Get Domain Availability and Pricing
POST
https://api.vercel.com/v1/registrar/domains/searchStart domain research here. Get registration availability and pricing for 1–200 exact domain names. Returns results in input order, with registration and renewal prices in USD for available domains. No authentication required.
https://api.vercel.com/v1/registrar/domains/search
const response = await fetch('https://api.vercel.com/v1/registrar/domains/search?teamId=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "domains": [] }),});
const data = await response.json();console.log(data);Response
{ "results": [ { "domain": "string", "available": "false" } ]}Errors
{ "issues": [ { "path": [], "message": "string" } ], "message": "string"}429TooManyRequests